import 'package:flutter/material.dart';

class PrivacyRulesField extends StatelessWidget {

  const PrivacyRulesField({required this.onSaved, super.key});
  final Function(String?) onSaved;

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      decoration: const InputDecoration(
        labelText: 'Règles de confidentialité',
        border: OutlineInputBorder(),
        filled: true,
        fillColor: Colors.white,
      ),
      validator: (value) {
        if (value == null || value.isEmpty) {
          return 'Veuillez entrer des règles de confidentialité';
        }
        return null;
      },
      onSaved: onSaved,
    );
  }
}
